actions = {
    'mautrix-telegram_create_virtualenv': {
        'command': '/usr/bin/python3 -m virtualenv -p python3 /opt/mautrix-telegram/venv/',
        'unless': 'test -d /opt/mautrix-telegram/venv/',
        'needs': {
            'directory:/opt/mautrix-telegram', # provided by bundle:users
        },
    },
    'mautrix-telegram_init_alembic': {
        'command': '/opt/mautrix-telegram/venv/bin/alembic -c /opt/mautrix-telegram/alembic.ini -x /opt/mautrix-telegram/config.yaml init /opt/mautrix-telegram/alembic',
        'unless': 'test -d /opt/mautrix-telegram/alembic',
        'needs': {
            'file:/opt/mautrix-telegram/alembic.ini',
        },
    },
    'mautrix-telegram_upgrade_database': {
        'command': '/opt/mautrix-telegram/venv/bin/alembic -c /opt/mautrix-telegram/alembic.ini -x /opt/mautrix-telegram/config.yaml upgrade head',
        'needs': {
            'action:mautrix-telegram_init_alembic',
            'postgres_db:mautrix-telegram',
            'postgres_role:mautrix-telegram',
        },
        'triggered': True,
    },
}

pkg_pip = {
    '/opt/mautrix-telegram/venv/mautrix-telegram': {
        'needs': {
            'action:mautrix-telegram_create_virtualenv',
        },
        'triggers': {
            'action:mautrix-telegram_upgrade_database',
            'svc_systemd:mautrix-telegram:restart',
        },
    },
}


svc_systemd = {
    'mautrix-telegram': {
        'needs': {
            'action:mautrix-telegram_upgrade_database',
            'file:/etc/systemd/system/mautrix-telegram.service',
            'file:/opt/mautrix-telegram/config.yaml',
            'postgres_db:mautrix-telegram',
            'postgres_role:mautrix-telegram',
        },
    },
}

files = {
    '/opt/mautrix-telegram/registration.yaml': {
        'content_type': 'mako',
        'triggers': {
            'svc_systemd:mautrix-telegram:restart',
        },
    },
    '/opt/mautrix-telegram/config.yaml': {
        'content_type': 'mako',
        'triggers': {
            'svc_systemd:mautrix-telegram:restart',
        },
    },
    '/etc/systemd/system/mautrix-telegram.service': {
        'triggers': {
            'action:systemd-reload',
            'svc_systemd:mautrix-telegram:restart',
        },
    },
    '/opt/mautrix-telegram/alembic.ini': {},
}

if node.has_bundle('matrix-synapse'):
    files['/opt/mautrix-telegram/registration.yaml']['triggers'].add('svc_systemd:matrix-synapse:restart')
