if 'hostname' in node.metadata:
    hostname = node.metadata['hostname']
else:
    hostname = node.hostname

actions = {
    'systemd-reload': {
        'command': 'systemctl daemon-reload',
        'cascade_skip': False,
        'triggered': True,
        'needed_by': {
            'svc_systemd:',
        },
    },
    'systemd-hostname': {
        'command': 'hostnamectl set-hostname {}'.format(hostname),
        'unless': '[ "$(hostnamectl --static)" = "{}" ]'.format(hostname),
        # Provided by 'hostname' bundle
        'needs': {
            'file:/etc/hosts',
        },
    },
}
